# LanguageSourceSet

API Documentation: | `LanguageSourceSet`

Known Subtypes: |
`AssemblerSourceSet` | `DependentSourceSet` | `ObjectiveCppSourceSet`
`HeaderExportingSourceSet` | `CppSourceSet` | `WindowsResourceSet`
`CSourceSet` | `ObjectiveCSourceSet` |

Note: This class is incubating and may change in a future version of Gradle.

A set of sources for a programming language.

### Properties

Property | Description
`source` | Incubating The source files.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `SourceDirectorySet` `source` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The source files.